/**
 * Copyright (C) 2012 BonitaSoft S.A.
 * BonitaSoft, 32 rue Gustave Eiffel - 38000 Grenoble
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA 02110-1301, USA.
 **/
package org.bonitasoft.engine.supervisor.mapping.model;

/**
 * @author Yanyan Liu
 * @author Elias Ricken de Medeiros
 * @author Celine Souchet
 */
public interface SProcessSupervisorBuilder {

    SProcessSupervisorBuilder createNewInstance(long processDefId);

    SProcessSupervisorBuilder setUserId(long userId);

    SProcessSupervisorBuilder setGroupId(long groupId);

    SProcessSupervisorBuilder setRoleId(long roleId);

    SProcessSupervisor done();

    String getIdKey();

    String getUserIdKey();

    String getGroupIdKey();

    String getRoleIdKey();

    String getProcessDefIdKey();

}
